Package com.xebialabs.xlrelease.variable

## Class VariablesGraphResolver

- java.lang.Object
- - com.xebialabs.xlrelease.variable.VariablesGraphResolver

-     public class VariablesGraphResolver
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `VariablesGraphResolver.Var<A,​V extends Variable>` |
    `static class` | `VariablesGraphResolver.Var$` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VariablesGraphResolver()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected static void` | `debug​(org.slf4j.Marker mkr, scala.Function0<java.lang.Object> msg, scala.Function0<java.lang.Throwable> t)` |
    `protected static void` | `debug​(scala.Function0<java.lang.Object> msg)` |
    `protected static void` | `debug​(scala.Function0<java.lang.Object> msg, scala.Function0<java.lang.Throwable> t)` |
    `static scala.collection.immutable.Map<java.lang.String,​scala.collection.immutable.Set<java.lang.String>>` | `dependenciesFor​(scala.collection.immutable.Map<java.lang.String,​VariablesGraphResolver.Var<?,​? extends Variable>> scope)` |
    `protected static void` | `error​(org.slf4j.Marker mkr, scala.Function0<java.lang.Object> msg, scala.Function0<java.lang.Throwable> t)` |
    `protected static void` | `error​(scala.Function0<java.lang.Object> msg)` |
    `protected static void` | `error​(scala.Function0<java.lang.Object> msg, scala.Function0<java.lang.Throwable> t)` |
    `static Graph<java.lang.String>` | `graphFor​(scala.collection.immutable.Map<java.lang.String,​scala.collection.immutable.Set<java.lang.String>> deps)` |
    `static grizzled.slf4j.Logger` | `grizzled$slf4j$Logging$$_logger()` |
    `protected static void` | `info​(org.slf4j.Marker mkr, scala.Function0<java.lang.Object> msg, scala.Function0<java.lang.Throwable> t)` |
    `protected static void` | `info​(scala.Function0<java.lang.Object> msg)` |
    `protected static void` | `info​(scala.Function0<java.lang.Object> msg, scala.Function0<java.lang.Throwable> t)` |
    `protected static boolean` | `isDebugEnabled()` |
    `protected static boolean` | `isErrorEnabled()` |
    `protected static boolean` | `isInfoEnabled()` |
    `protected static boolean` | `isTraceEnabled()` |
    `protected static boolean` | `isWarnEnabled()` |
    `protected static grizzled.slf4j.Logger` | `logger()` |
    `protected static java.lang.String` | `loggerName()` |
    `static scala.collection.immutable.Map<java.lang.String,​VariablesGraphResolver.Var<?,​? extends Variable>>` | `resolve​(scala.collection.immutable.Set<Variable> variables)` |
    `static scala.Tuple2<scala.collection.immutable.Map<java.lang.String,​java.lang.String>,​scala.collection.immutable.Map<java.lang.String,​java.lang.String>>` | `resolveAsStrings​(scala.collection.immutable.Set<Variable> variables)` |
    `static scala.collection.immutable.Map<java.lang.String,​VariablesGraphResolver.Var<?,​? extends Variable>>` | `scopeFor​(scala.collection.immutable.Set<Variable> variables)` |
    `protected static void` | `trace​(org.slf4j.Marker mkr, scala.Function0<java.lang.Object> msg, scala.Function0<java.lang.Throwable> t)` |
    `protected static void` | `trace​(scala.Function0<java.lang.Object> msg)` |
    `protected static void` | `trace​(scala.Function0<java.lang.Object> msg, scala.Function0<java.lang.Throwable> t)` |
    `static <V extends Variable> java.lang.String` | `valueAsString​(V variable, java.lang.Object value)` |
    `protected static void` | `warn​(org.slf4j.Marker mkr, scala.Function0<java.lang.Object> msg, scala.Function0<java.lang.Throwable> t)` |
    `protected static void` | `warn​(scala.Function0<java.lang.Object> msg)` |
    `protected static void` | `warn​(scala.Function0<java.lang.Object> msg, scala.Function0<java.lang.Throwable> t)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VariablesGraphResolver

          public VariablesGraphResolver()

  - ### Method Detail

    - #### resolveAsStrings

          public static scala.Tuple2<scala.collection.immutable.Map<java.lang.String,​java.lang.String>,​scala.collection.immutable.Map<java.lang.String,​java.lang.String>> resolveAsStrings​(scala.collection.immutable.Set<Variable> variables)

    - #### resolve

          public static scala.collection.immutable.Map<java.lang.String,​VariablesGraphResolver.Var<?,​? extends Variable>> resolve​(scala.collection.immutable.Set<Variable> variables)

    - #### valueAsString

          public static <V extends Variable> java.lang.String valueAsString​(V variable,
                                                                            java.lang.Object value)

    - #### scopeFor

          public static scala.collection.immutable.Map<java.lang.String,​VariablesGraphResolver.Var<?,​? extends Variable>> scopeFor​(scala.collection.immutable.Set<Variable> variables)

    - #### dependenciesFor

          public static scala.collection.immutable.Map<java.lang.String,​scala.collection.immutable.Set<java.lang.String>> dependenciesFor​(scala.collection.immutable.Map<java.lang.String,​VariablesGraphResolver.Var<?,​? extends Variable>> scope)

    - #### graphFor

          public static Graph<java.lang.String> graphFor​(scala.collection.immutable.Map<java.lang.String,​scala.collection.immutable.Set<java.lang.String>> deps)

    - #### grizzled$slf4j$Logging$$_logger

          public static grizzled.slf4j.Logger grizzled$slf4j$Logging$$_logger()

    - #### logger

          protected static grizzled.slf4j.Logger logger()

    - #### loggerName

          protected static java.lang.String loggerName()

    - #### isTraceEnabled

          protected static boolean isTraceEnabled()

    - #### trace

          protected static void trace​(scala.Function0<java.lang.Object> msg)

    - #### trace

          protected static void trace​(scala.Function0<java.lang.Object> msg,
                                      scala.Function0<java.lang.Throwable> t)

    - #### trace

          protected static void trace​(org.slf4j.Marker mkr,
                                      scala.Function0<java.lang.Object> msg,
                                      scala.Function0<java.lang.Throwable> t)

    - #### isDebugEnabled

          protected static boolean isDebugEnabled()

    - #### debug

          protected static void debug​(scala.Function0<java.lang.Object> msg)

    - #### debug

          protected static void debug​(scala.Function0<java.lang.Object> msg,
                                      scala.Function0<java.lang.Throwable> t)

    - #### debug

          protected static void debug​(org.slf4j.Marker mkr,
                                      scala.Function0<java.lang.Object> msg,
                                      scala.Function0<java.lang.Throwable> t)

    - #### isErrorEnabled

          protected static boolean isErrorEnabled()

    - #### error

          protected static void error​(scala.Function0<java.lang.Object> msg)

    - #### error

          protected static void error​(scala.Function0<java.lang.Object> msg,
                                      scala.Function0<java.lang.Throwable> t)

    - #### error

          protected static void error​(org.slf4j.Marker mkr,
                                      scala.Function0<java.lang.Object> msg,
                                      scala.Function0<java.lang.Throwable> t)

    - #### isInfoEnabled

          protected static boolean isInfoEnabled()

    - #### info

          protected static void info​(scala.Function0<java.lang.Object> msg)

    - #### info

          protected static void info​(scala.Function0<java.lang.Object> msg,
                                     scala.Function0<java.lang.Throwable> t)

    - #### info

          protected static void info​(org.slf4j.Marker mkr,
                                     scala.Function0<java.lang.Object> msg,
                                     scala.Function0<java.lang.Throwable> t)

    - #### isWarnEnabled

          protected static boolean isWarnEnabled()

    - #### warn

          protected static void warn​(scala.Function0<java.lang.Object> msg)

    - #### warn

          protected static void warn​(scala.Function0<java.lang.Object> msg,
                                     scala.Function0<java.lang.Throwable> t)

    - #### warn

          protected static void warn​(org.slf4j.Marker mkr,
                                     scala.Function0<java.lang.Object> msg,
                                     scala.Function0<java.lang.Throwable> t)